"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Body = void 0;
const index_1 = require("../index");
/**
 * Allows to inject a request body value to the controller action parameter.
 * Must be applied on a controller action parameter.
 */
function Body(options) {
    return function (object, methodName, index) {
        (0, index_1.getMetadataArgsStorage)().params.push({
            type: 'body',
            object: object,
            method: methodName,
            index: index,
            parse: false,
            required: options ? options.required : undefined,
            classTransform: options ? options.transform : undefined,
            validate: options ? options.validate : undefined,
            explicitType: options ? options.type : undefined,
            extraOptions: options ? options.options : undefined,
        });
    };
}
exports.Body = Body;
//# sourceMappingURL=Body.js.map