"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Head = void 0;
const index_1 = require("../index");
/**
 * Registers an action to be executed when HEAD request comes on a given route.
 * Must be applied on a controller action.
 */
function Head(route, options) {
    return function (object, methodName) {
        (0, index_1.getMetadataArgsStorage)().actions.push({
            type: 'head',
            target: object.constructor,
            method: methodName,
            options,
            route,
        });
    };
}
exports.Head = Head;
//# sourceMappingURL=Head.js.map