"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Post = void 0;
const index_1 = require("../index");
/**
 * Registers an action to be executed when POST request comes on a given route.
 * Must be applied on a controller action.
 */
function Post(route, options) {
    return function (object, methodName) {
        (0, index_1.getMetadataArgsStorage)().actions.push({
            type: 'post',
            target: object.constructor,
            method: methodName,
            options,
            route,
        });
    };
}
exports.Post = Post;
//# sourceMappingURL=Post.js.map