"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionParam = void 0;
const index_1 = require("../index");
/**
 * Injects a Session object property to the controller action parameter.
 * Must be applied on a controller action parameter.
 */
function SessionParam(propertyName, options) {
    return function (object, methodName, index) {
        (0, index_1.getMetadataArgsStorage)().params.push({
            type: 'session-param',
            object: object,
            method: methodName,
            index: index,
            name: propertyName,
            parse: false,
            required: options && options.required !== undefined ? options.required : false,
            classTransform: options && options.transform,
            validate: options && options.validate !== undefined ? options.validate : false,
        });
    };
}
exports.SessionParam = SessionParam;
//# sourceMappingURL=SessionParam.js.map