import { Action } from '../Action';
import { ClassConstructor } from 'class-transformer';
import { InterceptorInterface } from '../InterceptorInterface';
import { Callable } from '../types/Types';
/**
 * Specifies a given interceptor middleware or interceptor function to be used for controller or controller action.
 * Must be set to controller action or controller class.
 */
export declare function UseInterceptor(...interceptors: Array<ClassConstructor<InterceptorInterface>>): Callable;
/**
 * Specifies a given interceptor middleware or interceptor function to be used for controller or controller action.
 * Must be set to controller action or controller class.
 */
export declare function UseInterceptor(...interceptors: Array<(action: Action, result: any) => any>): Callable;
