import { UseInterceptorMetadataArgs } from './args/UseInterceptorMetadataArgs';
import { Newable, Callable } from '../types/Types';
/**
 * "Use interceptor" metadata.
 */
export declare class InterceptorMetadata {
    /**
     * Object class of the interceptor class.
     */
    target: Newable | Callable;
    /**
     * Method used by this "use".
     */
    method?: string;
    /**
     * Interceptor class or function to be executed by this "use".
     */
    interceptor: any;
    /**
     * Indicates if this interceptor is global or not.
     */
    global?: boolean;
    /**
     * Interceptor priority. Used for global interceptors.
     */
    priority: number;
    constructor(args: UseInterceptorMetadataArgs);
}
