import { ResponseHandlerMetadataArgs } from './args/ResponseHandleMetadataArgs';
import { ResponseHandlerType } from './types/ResponseHandlerType';
import { Newable } from '../types/Types';
/**
 * Response handler metadata.
 */
export declare class ResponseHandlerMetadata {
    /**
     * Class on which's method decorator is set.
     */
    target: Newable;
    /**
     * Method on which decorator is set.
     */
    method: string;
    /**
     * Property type. See ResponsePropertyMetadataType for possible values.
     */
    type: ResponseHandlerType;
    /**
     * Property value. Can be status code, content-type, header name, template name, etc.
     */
    value: any;
    /**
     * Secondary property value. Can be header value for example.
     */
    secondaryValue: any;
    constructor(args: ResponseHandlerMetadataArgs);
}
